import request from '@/config/axios';
import type { TableData } from './types';

/** 获取表格数据 */
export const getTaskDiaryListApi = (data: any) => {
  return request.postJson({ url: '/srdb/spi/srdb/TaskDiary/TaskDiaryQueryPage', data });
};

/** 批量删除 */
export const delTaskDiaryListApi = (list: string[] | number[]): Promise<IResponse> => {
  const _list = list.map(v => {
    return {
      id: v.id,
    };
  });
  return request.postJson({
    url: '/srdb/spi/srdb/TaskDiary/TaskDiaryBatchDelete',
    data: {
      list: _list,
    },
  });
};

/** 删除 */
export const delTaskDiaryApi = (id?: string): Promise<IResponse> => {
  return request.postJson({ url: '/srdb/spi/srdb/TaskDiary/TaskDiaryDelete', data: { id } });
};

/** 保存 */
export const saveTaskDiaryApi = (data: Partial<TableData>): Promise<IResponse> => {
  return request.postJson({ url: '/srdb/spi/srdb/TaskDiary/TaskDiarySave', data });
};

/** 查询单条数据 */
export const queryTaskDiaryApi = (id?: string): Promise<IResponse> => {
  return request.postJson({ url: '/srdb/spi/srdb/TaskDiary/TaskDiaryQueryOne', data: { id } });
};

/** 同步导入 */
export const importExcelApiUrl = '/srdb/sui/srdb/TaskDiary/TaskDiaryImportExcel';

/** 异步导入 */
export const importExcelAsyncApiUrl = '/srdb/sui/srdb/TaskDiary/TaskDiaryImportAsyncExcel';

/** 导出 */
export const exportExcelApi = (params: any) => {
  return request.doExport({ url: '/srdb/sdi/srdb/TaskDiary/TaskDiaryExportXls', params });
};

/** 获取某个字典 */
export const getCsckCheckType = ({ paramName, systemCode }): Promise<IResponse> => {
  return request.postJson({
    url: '/param/spi/param/systemparam',
    data: {
      paramName: paramName,
      systemCode: systemCode,
    },
  });
};

